AsterNet Class Library (Sandcastle documentation)

| MonitorAction Class

The MonitorAction starts monitoring (recording) a channel.
It is implemented in res/res_monitor.c
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
MonitorAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class MonitorAction : ManagerAction

    Public Class MonitorAction
    	Inherits ManagerAction

    public ref class MonitorAction : public ManagerAction

    type MonitorAction =
        class
            inherit ManagerAction
        end

The MonitorAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| MonitorAction | Creates a new empty MonitorAction.
| MonitorAction(String, String) | Creates a new MonitorAction that starts monitoring the given channel and writes voice data to the given file(s).
| MonitorAction(String, String, String) | Creates a new MonitorAction that starts monitoring the given channel and writes voice data to the given file(s).
| MonitorAction(String, String, String, Boolean) | Creates a new MonitorAction that starts monitoring the given channel and writes voice data to the given file(s).

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of this action, i.e. "Monitor". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Channel | Get/Set the name of the channel to monitor. This property is mandatory.
| File | Get/Set the name of the file to which the voice data is written. If this property is not set it defaults to to the channel name as per CLI with the '/' replaced by '-'.
| Format | Get/Set the format to use for encoding the voice files. If this property is not set it defaults to "wav".
| Mix | Returns true if the two voice files should be joined at the end of the call.
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace